// Transport equation and Conservation Law
// Second order methods
//// Space discretization
L=5;
dx=0.01;
space=(0:dx:L)';
//// Time discretization
T=1;
dt=dx*0.95;
///// space should be a column vector
//// Velocity of the transport equation -- a=1 
deff('[y]=a(x)','y=1'); 
//// Initial datum 1
uinit=....;
///// FLux limiter 1 : Minmod
deff('[y]=Minmod(x)','y=....');
///// FLux limiter 2 : Roe's superbee
deff('[y]=Roe(x)','y=max(zeros(x),max(min(x,2*ones(x)),min(ones(x),2*x)))');
///// FLux limiter 3 : Van Leer
deff('[y]=VanLeer(x)','y=....');
//// Comparison of the different flux limiter functions
uMm=FluxLimiter(T,dt,L,dx,uinit,a,Minmod);
plot(space,uMm);
uRoe=FluxLimiter(T,dt,L,dx,uinit,a,Roe);
plot(space,uRoe,'r');
uVL=FluxLimiter(T,dt,L,dx,uinit,a,VanLeer);
plot(space,uVL,'g');
legend('Minmod','Roe','Van Leer');
